function	mn_pcolor(x,y,z,tit,xlab,ylab);

% mn_pcolor             - plots a pcolor() and adds mean values for rows and columns
%
% mn_pcolor([x,y,] z [,tit,xlab,ylab]);
%
% 
% Zeichnet ein pcolor mit Balken fr Mittelwerte der Reihen und Spalten.
% Die Farbskala der Mittelwerte entspricht NICHT der Farbskala der z-Matrix
%
% Parameter:
%   z:      Matrix MxN, die angezeigt werden soll
%   x:      X-Vektor mit der Lnge M+1, optional
%   y:      Y-Vektor mit der Lnge N+1, optional
%   tit:    Titel, optional
%   xlab:   Beschriftung der X-Achse, optional
%   ylab:   Beschriftung der Y-Achse, optional
% 
% Piotr Majdak (piotr@majdak.com)
% Markus Noisternig (markus@noisternig.com)
% 13.2.2002

    % main plot
axes('position',[0.2429    0.3024    0.5985    0.6000]);
if ~exist('z')      % x und y nicht angegeben
    z=x;
    x=1:1:size(z,2)+1;
    y=1:1:size(z,1)+1;
end
zz=z;
zz(:,end+1)=nanmean(z')';       % weitere spalte hinzufgen
zz(end+1,:)=nanmean(zz);         % weitere zeile hinzufgen
pcolor(x,y,zz);
colormap(jet);
colorbar;
if exist('tit')
    title(tit);
end
    % horizontal bar
axes('position',[0.2411    0.1357    0.5196    0.0738]);    
zm=nanmean(zz);
zm(1,end)=NaN;      % etwaiges Maximum lschen
zm(2,:)=zm(1,:);    % replizieren, damit die erste Zeile dargestellt wird
%zm(2,1)=nanmax(nanmax(z));     % max und min bilden, damit die Farben mit Hauptplot bereinstimmen
%zm(2,2)=nanmin(nanmin(z));
pcolor(x,0:1,zm);
set(gca,'YTickLabelMode','manual');
set(gca,'YTickLabel','');
if exist('xlab')
    xlabel(xlab);
end
    % vertical bar
axes('position',[0.1125    0.3000    0.0543    0.6024]);
zm=nanmean(zz');
zm(1,end)=NaN;      % etwaiges Maximum lschen
zm(2,:)=zm(1,:);    % replizieren, damit die erste Zeile dargestellt wird
%zm(2,1)=nanmax(nanmax(z));     % max und min bilden, damit die Farben mit Hauptplot bereinstimmen
%zm(2,2)=nanmin(nanmin(z));
pcolor(0:1,y,zm');
set(gca,'XTickLabelMode','manual');
set(gca,'XTickLabel','');
if exist('ylab')
    ylabel(ylab);
end
