function	mn_scatter(x);

% mn_scatter        - plots each row of a matrix along the x-axis using different symbols
%
% mn_scatter(X)
%
% Stellt die Werte einer Matrix in einem Scatter-Plot dar.
% Jede Zeile der Matrix wird entlang der X-Achse eingetragen
% Die Elemente jeder Spalte werden farblich unterschiedlich markiert
% Zustzlich wird der Median als eine Linie eingezeichnet.
% 
% Piotr Majdak (piotr@majdak.com)
% Markus Noisternig (markus@noisternig.com)
% 13.2.2002

col=['b.';'ro';'gx';'ks';'c+';'bd';'r^';'g<';'k>';'cp'];    % Farben und Symbole definieren
    
    % plot zeichnen
for i=1:size(x,1)
    plot(x(i,:),col(mod(i-1,length(col))+1,:));
    hold on;
end

plot(nanmedian(x),'r');
legend;
if size(x,1)>length(col)
    disp('WARNING: Some symbols were used twice');
end